Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class PropertyNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.PropertyNode

All Implemented Interfaces:
  org.objectweb.asm.Opcodes, Variable

    public class PropertyNode
    extends AnnotatedNode

Represents a property (member variable, a getter and setter)

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`PropertyNode(java.lang.String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression, Statement getterBlock, Statement setterBlock)`
`PropertyNode(FieldNode field, int modifiers, Statement getterBlock, Statement setterBlock)`

Method Summary
`FieldNode` | `getField()`
`Statement` | `getGetterBlock()`
`Expression` | `getInitialExpression()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`ClassNode` | `getOriginType()`
`Statement` | `getSetterBlock()`
`ClassNode` | `getType()`
`boolean` | `hasInitialExpression()`
`boolean` | `isClosureSharedVariable()`
`boolean` | `isDynamicTyped()`
`boolean` | `isInStaticContext()`
`boolean` | `isPrivate()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`void` | `setClosureSharedVariable(boolean inClosure)`
`void` | `setField(FieldNode fn)`
`void` | `setGetterBlock(Statement getterBlock)`
`void` | `setSetterBlock(Statement setterBlock)`
`void` | `setType(ClassNode t)`

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PropertyNode

    public PropertyNode(java.lang.String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression, Statement getterBlock, Statement setterBlock)

### PropertyNode

    public PropertyNode(FieldNode field, int modifiers, Statement getterBlock, Statement setterBlock)

Method Detail

### getField

    public FieldNode getField()

### getGetterBlock

    public Statement getGetterBlock()

### getInitialExpression

    public Expression getInitialExpression()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getOriginType

    public ClassNode getOriginType()

### getSetterBlock

    public Statement getSetterBlock()

### getType

    public ClassNode getType()

### hasInitialExpression

    public boolean hasInitialExpression()

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

### isDynamicTyped

    public boolean isDynamicTyped()

### isInStaticContext

    public boolean isInStaticContext()

### isPrivate

    public boolean isPrivate()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

### setField

    public void setField(FieldNode fn)

### setGetterBlock

    public void setGetterBlock(Statement getterBlock)

### setSetterBlock

    public void setSetterBlock(Statement setterBlock)

### setType

    public void setType(ClassNode t)

Groovy Documentation